UIPackage
Menu

Framework

Change language

Boilerplate repo

Empty State

empty-stateui

Centered placeholder with icon, headline, supporting text, and one or two actions. Drop into empty lists, blank dashboards, and unauthenticated views — the standard "nothing here yet" pattern.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/empty-state.json
Named registry:npx shadcn@latest add @uipkge-react/empty-stateInstalls to:components/ui/empty-state/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
icon

Lucide icon component rendered above the title.

LucideIconoptional
titlestringoptional
descriptionstringoptional
role'status' | 'alert'optional
headingTag'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6'optional

npm dependencies

Used by

Files installed (2)

  • components/ui/empty-state/empty-state.tsx1.2 kB
    import * as React from 'react'
    import type { LucideIcon } from 'lucide-react'
    import { cn } from '@/lib/utils'
    
    export interface EmptyStateProps extends React.HTMLAttributes<HTMLDivElement> {
      /** Lucide icon component rendered above the title. */
      icon?: LucideIcon
      title?: string
      description?: string
      role?: 'status' | 'alert'
      headingTag?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6'
    }
    
    const EmptyState = React.forwardRef<HTMLDivElement, EmptyStateProps>(
      (
        { className, icon: Icon, title, description, role = 'status', headingTag: Heading = 'h3', children, ...props },
        ref,
      ) => (
        <div
          ref={ref}
          className={cn('flex flex-col items-center py-12 text-center', className)}
          role={role}
          aria-live={role === 'alert' ? 'assertive' : 'polite'}
          {...props}
        >
          {Icon ? <Icon className="text-muted-foreground mx-auto mb-3 size-10" aria-hidden="true" /> : null}
          {title ? <Heading className="text-foreground font-medium">{title}</Heading> : null}
          {description ? <p className="text-muted-foreground mt-1 max-w-sm text-sm">{description}</p> : null}
          {children}
        </div>
      ),
    )
    EmptyState.displayName = 'EmptyState'
    
    export { EmptyState }
    
  • components/ui/empty-state/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/empty-state.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Empty State

empty-stateui

Centered placeholder with icon, headline, supporting text, and one or two actions. Drop into empty lists, blank dashboards, and unauthenticated views — the standard "nothing here yet" pattern.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/empty-state.json
Named registry:npx shadcn-vue@latest add @uipkge/empty-stateInstalls to:app/components/ui/empty-state/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
iconComponentoptional
titlestringoptional
descriptionstringoptional
role
'status''alert'
optional
headingTag
'h1''h2''h3''h4''h5''h6'
optional
classstringoptional

Used by

Files installed (2)

  • app/components/ui/empty-state/EmptyState.vue0.9 kB
    <script setup lang="ts">
    import type { Component } from 'vue'
    import { cn } from '@/lib/utils'
    
    const props = defineProps<{
      icon?: Component
      title?: string
      description?: string
      role?: 'status' | 'alert'
      headingTag?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6'
      class?: string
    }>()
    </script>
    
    <template>
      <div
        :class="cn('flex flex-col items-center py-12 text-center', props.class)"
        :role="props.role ?? 'status'"
        :aria-live="(props.role ?? 'status') === 'alert' ? 'assertive' : 'polite'"
      >
        <component :is="icon" v-if="icon" class="text-muted-foreground mx-auto mb-3 size-10" aria-hidden="true" />
        <component :is="props.headingTag ?? 'h3'" v-if="title" class="text-foreground font-medium">
          {{ title }}
        </component>
        <p v-if="description" class="text-muted-foreground mt-1 max-w-sm text-sm">{{ description }}</p>
        <slot />
      </div>
    </template>
    
  • app/components/ui/empty-state/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/vue/empty-state.json